Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoBooleanGenerator Class Reference

The class eoBooleanGenerator can be used in the STL generate function to easily generate random booleans with a specified bias. More...

`#include <eoRndGenerators.h>`

Inheritance diagram for eoBooleanGenerator:

List of all members.

## Public Member Functions
| eoBooleanGenerator (float _bias=0.5, eoRng &_rng=rng)
bool | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
float | bias
eoRng & | gen

## Detailed Description

The class eoBooleanGenerator can be used in the STL generate function to easily generate random booleans with a specified bias.

Definition at line 104 of file eoRndGenerators.h.

The documentation for this class was generated from the following file:

- eoRndGenerators.h